<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
  ~
  ~ Copyright (c) 2014 ForgeRock AS. All Rights Reserved
  ~
  ~ The contents of this file are subject to the terms
  ~ of the Common Development and Distribution License
  ~ (the License). You may not use this file except in
  ~ compliance with the License.
  ~
  ~ You can obtain a copy of the License at
  ~ http://forgerock.org/license/CDDLv1.0.html
  ~ See the License for the specific language governing
  ~ permission and limitations under the License.
  ~
  ~ When distributing Covered Code, include this CDDL
  ~ Header Notice in each file and include the License file
  ~ at http://forgerock.org/license/CDDLv1.0.html
  ~ If applicable, add the following below the CDDL Header,
  ~ with the fields enclosed by brackets [] replaced by
  ~ your own identifying information:
  ~ "Portions Copyrighted [year] [name of copyright owner]"
  -->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.openidentityplatform.commons</groupId>
        <artifactId>ui</artifactId>
       <version>2.0.18-SNAPSHOT</version>
    </parent>
	<groupId>org.openidentityplatform.commons.ui</groupId>
    <artifactId>mock</artifactId>
    <name>${project.groupId}.${project.artifactId}</name>
    <packaging>pom</packaging>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <build><finalName>${project.groupId}.${project.artifactId}</finalName>
        <resources>
            <resource>
                <directory>${basedir}/src/main/resources</directory>
                <filtering>true</filtering>
            </resource>
            <resource>
                <directory>${basedir}/src/main/js</directory>
                <filtering>true</filtering>
            </resource>
        </resources>

        <outputDirectory>${project.build.directory}/www</outputDirectory>

        <plugins>
            <plugin>
                <groupId>com.github.eirslett</groupId>
                <artifactId>frontend-maven-plugin</artifactId>
            </plugin>
            <plugin>
                <artifactId>maven-resources-plugin</artifactId>
                <executions>
                    <execution>
                        <phase>process-resources</phase>
                        <goals>
                            <goal>resources</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-dependency-plugin</artifactId>
                <executions>
                    <execution>
                        <id>unpack</id>
                        <phase>process-resources</phase>
                        <goals>
                            <goal>unpack</goal>
                        </goals>
                        <configuration>
                            <artifactItems>
                                <artifactItem>
                                    <groupId>org.openidentityplatform.commons.ui</groupId>
                                    <artifactId>user</artifactId>
                                    <version>${project.version}</version>
                                    <type>zip</type>
                                    <classifier>www</classifier>
                                </artifactItem>
                            </artifactItems>
                            <outputDirectory>${project.build.directory}/www</outputDirectory>
                        </configuration>
                    </execution>
                    <execution>
                        <id>copy-dependencies-js</id>
                        <phase>process-resources</phase>
                        <goals>
                            <goal>copy-dependencies</goal>
                        </goals>
                        <configuration>
                            <includeGroupIds>org.openidentityplatform.commons.ui.libs</includeGroupIds>
                            <includeTypes>js</includeTypes>
                            <outputDirectory>${project.build.directory}/www/libs</outputDirectory>
                            <overWriteReleases>false</overWriteReleases>
                            <overWriteSnapshots>false</overWriteSnapshots>
                            <overWriteIfNewer>true</overWriteIfNewer>
                        </configuration>
                    </execution>
                    <execution>
                        <id>copy-dependencies-css</id>
                        <phase>process-resources</phase>
                        <goals>
                            <goal>copy-dependencies</goal>
                        </goals>
                        <configuration>
                            <includeGroupIds>org.openidentityplatform.commons.ui.libs</includeGroupIds>
                            <includeTypes>css</includeTypes>
                            <outputDirectory>${project.build.directory}/www/css</outputDirectory>
                            <overWriteReleases>false</overWriteReleases>
                            <overWriteSnapshots>false</overWriteSnapshots>
                            <overWriteIfNewer>true</overWriteIfNewer>
                        </configuration>
                    </execution>
                    <execution>
                        <id>copy-dependencies-less</id>
                        <phase>process-resources</phase>
                        <goals>
                            <goal>copy-dependencies</goal>
                        </goals>
                        <configuration>
                            <includeArtifactIds>less</includeArtifactIds>
                            <includeTypes>js</includeTypes>
                            <outputDirectory>${project.build.directory}/less</outputDirectory>
                            <overWriteReleases>false</overWriteReleases>
                            <overWriteSnapshots>false</overWriteSnapshots>
                            <overWriteIfNewer>true</overWriteIfNewer>
                        </configuration>
                    </execution>
                    <execution>
                        <id>copy-dependencies-r</id>
                        <phase>process-resources</phase>
                        <goals>
                            <goal>copy-dependencies</goal>
                        </goals>
                        <configuration>
                            <includeArtifactIds>r</includeArtifactIds>
                            <includeTypes>js</includeTypes>
                            <outputDirectory>${project.build.directory}/optimization</outputDirectory>
                            <overWriteReleases>false</overWriteReleases>
                            <overWriteSnapshots>false</overWriteSnapshots>
                            <overWriteIfNewer>true</overWriteIfNewer>
                        </configuration>
                    </execution>
                    <execution>
                        <id>unpack-codemirror</id>
                        <phase>process-resources</phase>
                        <goals>
                            <goal>unpack</goal>
                        </goals>
                        <configuration>
                            <outputDirectory>${project.build.directory}/www/libs</outputDirectory>
                            <artifactItems>
                                <artifactItem>
                                    <groupId>org.openidentityplatform.commons.ui.libs</groupId>
                                    <artifactId>CodeMirror</artifactId>
                                    <type>zip</type>
                                </artifactItem>
                            </artifactItems>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
    <dependencies>
        <dependency>
            <groupId>org.openidentityplatform.commons.ui</groupId>
            <artifactId>user</artifactId>
            <version>${project.version}</version>
            <type>zip</type>
            <classifier>www</classifier>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.commons.ui.libs</groupId>
            <artifactId>CodeMirror</artifactId>
            <version>4.10</version>
            <type>zip</type>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.commons.ui.libs</groupId>
            <artifactId>sinon</artifactId>
            <type>js</type>
        </dependency>
        <dependency>
            <groupId>org.openidentityplatform.commons.ui.libs</groupId>
            <artifactId>qunit</artifactId>
            <type>js</type>
        </dependency>
        <dependency>
            <groupId>org.openidentityplatform.commons.ui.libs</groupId>
            <artifactId>qunit</artifactId>
            <type>css</type>
        </dependency>
    </dependencies>
</project>
